Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPWhoWas

    java.lang.Object
      com.verisign.epp.interfaces.EPPWhoWas

    public class EPPWhoWas

extends java.lang.Object

This class is the primary client interface class used for WhoWas management. An instance of this class is created with an initialized `EPPSession` and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.whowas` package.

Version:
  1.0
Author:
  Deepak Deshpande
See Also:
  `EPPResponse`, `EPPWhoWasInfoResp`

Constructor Summary
`EPPWhoWas(EPPSession aSession)` Constructs an `EPPWhoWas` given an initialized EPP session.

Method Summary
`void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
`java.util.Vector` | `getExtensions()` Returns `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.
`java.lang.String` | `getName()` Returns the name
`EPPResponse` | `getResponse()` Returns the `EPPResponse` associated with the last command.
`java.lang.String` | `getRoid()` Returns the Registry Object IDentifier (roid).
`EPPSession` | `getSession()` Returns the `EPPSession` associated with this `EPPWhoWas`.
`java.lang.String` | `getTransId()` Returns the transId
`java.lang.String` | `getType()` Returns the type
`EPPWhoWasInfoResp` | `sendInfo()` Returns `EPPWhoWasInfoResp` received after sending WhoWas Info Command to the server.
`void` | `setExtensions(java.util.Vector aExtensions)` Sets extensions value to aExtensions
`void` | `setName(java.lang.String aName)` Sets name value to `aName`.
`void` | `setRoid(java.lang.String aRoid)` Sets Registry Object IDentifier (roid) value to `aRoid`.
`void` | `setSession(EPPSession aSession)` Sets session value to aSession
`void` | `setTransId(java.lang.String aTransId)` Sets transId value to `aTransId`.
`void` | `setType(java.lang.String aType)` Sets type value to `aType`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPWhoWas

    public EPPWhoWas(EPPSession aSession)

  Constructs an `EPPWhoWas` given an initialized EPP session.

  Parameters:
    `aSession` - Server session to use.

Method Detail

### addExtension

    public void addExtension(EPPCodecComponent aExtension)

  Adds a command extension object.

  Parameters:
    `aExtension` - command extension object associated with the command

### getExtensions

    public java.util.Vector getExtensions()

  Returns `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

  Returns:
    `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

### getResponse

    public EPPResponse getResponse()

  Returns the `EPPResponse` associated with the last command. This method can be used to retrieve the server error response in the catch block of `EPPCommandException`.

  Returns:
    the `EPPResponse` associated with the last command.

### getSession

    public EPPSession getSession()

  Returns the `EPPSession` associated with this `EPPWhoWas`.

  Returns:
    the `EPPSession` associated with this `EPPWhoWas`.

### sendInfo

    public EPPWhoWasInfoResp sendInfo()
                               throws EPPCommandException

  Returns `EPPWhoWasInfoResp` received after sending WhoWas Info Command to the server.

  Returns:
    `EPPWhoWasInfoResp` received after sending WhoWas Info Command to the server.
  Throws:
    `EPPCommandException` - Error executing the info command. Use `getResponse` to get the associated server error response.

### setExtensions

    public void setExtensions(java.util.Vector aExtensions)

  Sets extensions value to aExtensions

  Parameters:
    `aExtensions` - the extensions to set

### setSession

    public void setSession(EPPSession aSession)

  Sets session value to aSession

  Parameters:
    `aSession` - the session to set

### getType

    public java.lang.String getType()

  Returns the type

  Returns:
    the type

### setType

    public void setType(java.lang.String aType)

  Sets type value to `aType`. The default value is `EPPWhoWasConstants.TYPE_DOMAIN`.

  Parameters:
    `aType` - the type to set

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    the name

### setName

    public void setName(java.lang.String aName)

  Sets name value to `aName`.

  Parameters:
    `aName` - the name to set

### getRoid

    public java.lang.String getRoid()

  Returns the Registry Object IDentifier (roid).

  Returns:
    the roid

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets Registry Object IDentifier (roid) value to `aRoid`.

  Parameters:
    `aRoid` - the roid to set

### getTransId

    public java.lang.String getTransId()

  Returns the transId

  Returns:
    the transId

### setTransId

    public void setTransId(java.lang.String aTransId)

  Sets transId value to `aTransId`.

  Parameters:
    `aTransId` - the transId to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.